# class UserObserver

### Public Instance Methods

after_create(user) click to toggle source

    # File app/observers/user_observer.rb, line 2
    def after_create(user)
      log_info("User \"#{user.name}\" (#{user.email}) was created")

      Notify.new_user_email(user.id, user.password).deliver
    end

after_destroy(user) click to toggle source

    # File app/observers/user_observer.rb, line 8
    def after_destroy user
      log_info("User \"#{user.name}\" (#{user.email})  was removed")
    end

### Protected Instance Methods

log_info(message) click to toggle source

    # File app/observers/user_observer.rb, line 14
    def log_info message
      Gitlab::AppLogger.info message
    end